{ androidenv, cmakeVersion, buildToolsVersion, ndkVersion }:
let
  androidComposition = androidenv.composeAndroidPackages {
    toolsVersion = "26.1.1";
    # platformToolsVersion = "30.0.5";
    buildToolsVersions = [ buildToolsVersion ];
    includeEmulator = false;
    emulatorVersion = "30.3.4";
    platformVersions = [ "31" ];
    includeSources = false;
    includeSystemImages = false;
    systemImageTypes = [ "google_apis_playstore" ];
    abiVersions = [ "armeabi-v7a" "arm64-v8a" ];
    cmakeVersions = [ cmakeVersion ];
    includeNDK = true;
    ndkVersions = [ ndkVersion ];
    useGoogleAPIs = false;
    useGoogleTVAddOns = false;
    includeExtras = [
      "extras;google;gcm"
    ];
  };
in
androidComposition
